mailman unsubscribing people

Reported by Barb Wunderlich on 2012-02-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
GNU Mailman
Undecided
Mark Sapiro

Bug Description

CRITICAL!!!!
Today 2/10/12) at 3:10 p.m. CST, the mailman software started unsubscribing people to our mailing list - PURRS1 mailing list. They receive a message from <email address hidden> and are then deleted from the mailing list. Beofre this we had over 2000 addresses in our mailing list, now we are down to 776.
 I contacted LunarPages.Com who hosts our website, but they said we need to contact you about this problem. Please help ASAP.

Mark Sapiro (msapiro) wrote :

The members were almost certainly unsubscribed by Mailman's bounce processing. Your hosting provider can review Mailman's 'bounce' log to verify this and can examine the logs of the outgoing MTA to possibly find out more.

You can review your list's bounce processing settings for appropriateness and ensure that all the owner notifications are turned on so that you will receive notification when a member's delivery is disabled by bounce and before the member is removed.

Without additional information to indicate that this is actually a bug and not a result of normal bounce processing, I can only assume that this is not a bug.

Changed in mailman:
assignee: nobody → Mark Sapiro (msapiro)
status: New → Incomplete
Download full text (6.3 KiB)

Hi.

We think it was bounceprocessing but there is an errror in it..all those emails did not bounce back..reading down it appears that lunarpages says we hit some quota that may have caused the error..we are switching to constant contact once this is fixed. Please note the following email string and the two attachments and see if this helps.Thanks. Barb -----Original Message-----
From: <email address hidden>
Sender: <email address hidden>
Date: Fri, 10 Feb 2012 13:10:23
To: <email address hidden>
Subject: Bounce action notification

This is a Mailman mailing list bounce action notice:

    List: Purrs1
    Member: <email address hidden>
    Action: Subscription disabled.
    Reason: Excessive or fatal bounces.

The triggering bounce notice is attached below.

Questions? Contact the Mailman site administrator at
<email address hidden>.

--Forwarded Message Attachment--
Date: Fri, 10 Feb 2012 20:55:28 +0000
From: <email address hidden>
To: <email address hidden>
Subject: Delivery failure

Message from yahoo.com.
Unable to deliver message to the following address(es).

<email address hidden>:
This user doesn't have a yahoo.com account (<email address hidden>) [0]

<email address hidden>:
Sorry your message to <email address hidden> cannot be delivered. This account has been disabled or discontinued [#102].

<email address hidden>:
This user doesn't have a yahoo.com account (<email address hidden>) [0]

<email address hidden>:
This user doesn't have a yahoo.com account (<email address hidden>) [0]

<email address hidden>:
Sorry your message to <email address hidden> cannot be delivered. This account has been disabled or discontinued [#102].

--- Original message follows.

The original message is over 5K. Message truncated.

Return-Path: <email address hidden>
Received-SPF: none (domain of purrsnaperville.org does not designate permitted sender hosts)
X-YMailISG: _CdUgx0WLDsTDSeWY4k7nS1nvdZu35lmn3nF3vfQe_ZPSgjU
 ZLjLeL.b3gH0Yt6qj9GG3g94IKj0YOv0mH39M5zbUeyLRZ9WZwYxtqg8U5B5
 qVqX2IXaZPCY2X_bMCculeqi8ZlyJUrUR_N3a6YIp54o8vJTrWg2LCP8PS93
 VdJXjdnEEq6XyFPdkn3rIEv6ME.sNPwKiMg4gFWCpCGcsk.IiEPZ48bko2Zf
 R1RcWZmQ2hrFcEc7tgPqxtaI8QUW3MqF3wKVDIngYbs_OGokIeztgk73H1cj
 wDBE.cDUyi2jioEd9S2YwICZkE95UW2X0L2crpZkVsCHY.7iY4H3BblyEk1O
 EY9rwC61SvvLnuSIagyRqKJbB2qBfuk3busWeqBJzv6M3wwK.bdEUl_eBDmB
 e4XkfHvMVtPmt.pxtQCQqTrIVVYCIFNomaumYkgCb9T4rZ5yy.mQbZo4p2mF
 x6mY7opbrUBN2rEFGMoOFll58QEMzGfa4ZFPigQ77YHmBKiVkCy3w6_qaBA0
 lOdzi9K2NQnzwJ4cMJrh5udnJMQ_eKeOy7DbQavtS2zJVUiypL5BH8I7CalB
 StoqBxZzo3_U1FM9_ByiTWb26RjFI89LYaS23yU.kn4ADPert81_AbbF3YxM
 PU3ySCEJJ3Ocfic2noomfdh2D6b5yFedV0PiTbyi.tZpl5AlBatxP2OFJx6a
 OBeum77B1H1Hh5L5YccPRl34opeZ0j6aS7ulHYXP6.s3BhJezxS9IHpRiDDW
 _yYEP02TUhs96T9yoyGRk1s64apEmtIUeJ3IaddeFljABP_8jv8K5scOqEd_
 HfEHAvr46C3fVy2C6a_KuKihPvuct24x0fwGxP_g4JVdnqG71hsGlxHQepwD
 C.2riMO0iMa1FJItU8l1DU_e3xwOU4Dqno6XV.KhZhYJb8_6WkAnSCfdn1Ep
 T0DzVf_A7KFldqAyKDQXe8FG5xvmRsto3S1MBTTSYQaFUipaiwHidtYsH2rj
 _L.tPuINApf4g.nLAfabQZCtNRj0O7BaLtXwMnnYDXKsHr4Fwn0jpQgVspVo
 pMievipShk529qeIggPzf4uQvi2908ak3lpGlbh3XP8a.EA7eL2da3Cc30pL
 L9v7l4zuvI3iIWy93IkyhfRWvjV...

Read more...

Download full text (63.2 KiB)

Here's another email string.
Also, we'd like to know if mailman has a backup of our email subscription list from Thursday 2/9/12 or earlier before any of this occurred. We would want to have it restored as we think we lost around 1700 emails.

Thanks.
Barb

Subject: Fw: Bounce action notification
To: <email address hidden>
From: <email address hidden>
Date: Sat, 11 Feb 2012 14:17:20 +0000

This has the quota at the end too

Sent via BlackBerry by AT&T

-----Original Message-----
From: <email address hidden>
Sender: <email address hidden>
Date: Fri, 10 Feb 2012 13:10:24
To: <email address hidden>
Subject: Bounce action notification

This is a Mailman mailing list bounce action notice:

    List: Purrs1
    Member: <email address hidden>
    Action: Subscription disabled.
    Reason: Excessive or fatal bounces.

The triggering bounce notice is attached below.

Questions? Contact the Mailman site administrator at
<email address hidden>.

--Forwarded Message Attachment--
From: <email address hidden>
To: <email address hidden>
Subject: Mail delivery failed: returning message to sender
Date: Fri, 10 Feb 2012 20:56:15 +0000

This message was created automatically by mail delivery software.

A message that you sent could not be delivered to one or more of its
recipients. This is a permanent error. The following address(es) failed:

  <email address hidden>
    SMTP error from remote mail server after end of data:
    host mta3.am0.yahoodns.net [98.137.54.238]: 554 delivery error:
    dd This user doesn't have a rocketmail.com account (<email address hidden>) [-15] - mta1069.mail.sp2.yahoo.com
  <email address hidden>
    SMTP error from remote mail server after RCPT TO:<email address hidden>:
    host MX2.firstam.iphmx.com [68.232.135.97]: 550 #5.1.0 Address rejected.
  <email address hidden>
    SMTP error from remote mail server after RCPT TO:<email address hidden>:
    host hrndva-smtpin01.mail.rr.com [71.74.56.243]:
    550 5.1.1 - Invalid mailbox: <email address hidden>
  <email address hidden>
    SMTP error from remote mail server after RCPT TO:<email address hidden>:
    host mailin-02.mx.aol.com [205.188.190.1]: 550 5.1.1 <email address hidden>:
    Recipient address rejected: aol.com
  <email address hidden>
    SMTP error from remote mail server after RCPT TO:<email address hidden>:
    host mailin-02.mx.aol.com [205.188.103.1]: 550 5.1.1 <email address hidden>:
    Recipient address rejected: aol.com
  <email address hidden>
    SMTP error from remote mail server after RCPT TO:<email address hidden>:
    host mailin-02.mx.aol.com [64.12.90.65]: 550 5.1.1 <email address hidden>:
    Recipient address rejected: aol.com
  <email address hidden>
    SMTP error from remote mail server after RCPT TO:<email address hidden>:
    host mx1.hotmail.com [65.54.188.94]: 550 Requested action not taken:
    mailbox unavailable
  <email address hidden>
    SMTP error from remote mail server after RCPT TO:<email address hidden>:
    host mx01.wow.synacor.com [64.8.70.204]: 550 5.1.1 Recipient <email address hidden> does not exist here
  <email address hidden>
    SMTP error from remote mail server after RCPT TO:<Feber...

Mark Sapiro (msapiro) wrote :

All of the reports in comment #2 appear to be legitimate bounces. The first 14 addresses in the notice in comment #3 also appear to be legitimate. The remaining "Domain purrsnaperville.org has exceeded the max emails per hour (400) allowed. Message discarded." messages indeed appear to be the result of a quota on outgoing mail from your domain imposed by your hosting provider. This is not a Mailman issue. Mailman has been told the address was undeliverable, so Mailman treats it as a bounce.

The problem is your hosting service apparently can't support a mailman list with more than about 400 subscribers and can't support even that many if there is more than one post in an hour. This probably means it won't support anything that generates mail to more than 400 recipients in an hour.

This is something you will have to discuss with your hosting provider. There is little that Mailman can do about it. See the FAQ at <http://wiki.list.org/x/j4A9>. There is a patch attached to that FAQ which implements throttling, but installation of that patch would have to be done by the hosting provider.

Regarding backups, only the hosting provider can tell you if they made any backups and if they still have them. They would need to restore Mailman's lists/purrs1/config.pck file from an appropriate backup.

Changed in mailman:
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers